Author Topic: Error I could not avoid in wxWidget 2.8 and 2.9.3  (Read 3992 times)

TomazVDSN

  • Guest
Error I could not avoid in wxWidget 2.8 and 2.9.3
« on: September 17, 2012, 10:36:33 pm »
Hi. I not a machine, I don't know almost anything on Code Blocks or C++

1) Installed wxPack_v22.8.12.01
    I follow the wxSmith tutorial : "Hello World"
    I have got the following error see text file attached:
    http://www.mediafire.com/view/?bs15c0zz1qr9khn

2)  So I did install the wxMSW-Setup-2.9.3 (wxWidgets2.9.3)
     I try to run the tutorial "Hello World" example again and I still got a minimum error.
     http://www.mediafire.com/view/?chprwd1y1q7l5al

Thank you for any help if possible !
     

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Error I could not avoid in wxWidget 2.8 and 2.9.3
« Reply #1 on: September 17, 2012, 11:01:39 pm »
Your error-messages do not hel much, because the right part of it is cut.
A text based site (like pastebin) would be better to upload thes messages.

Nevertheless:
for the first question read http://wiki.codeblocks.org/index.php?title=WxWindowsQuickRef, especially the faq-section at the bottom of the article.
For the second question:
are you aware, that wxwidgets 2.9.3 is not provided as binary download, but only as source ?
The setup-file just installs the sources.
The link above should help you to build it.

Online stahta01

  • Lives here!
  • ****
  • Posts: 6589
    • My Best Post
Re: Error I could not avoid in wxWidget 2.8 and 2.9.3
« Reply #2 on: September 17, 2012, 11:36:14 pm »
IIRC, you are mixing version of MinGW GCC for the first error message.
Likely mixing SJLJ and Dwarf 2 version of MinGW GCC object files.

Second message implies you did NOT build wxWidgets as was mentioned by prior poster (jens).

Tim S.
« Last Edit: September 17, 2012, 11:38:05 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

TomazVDSN

  • Guest
Re: Error I could not avoid in wxWidget 2.8 and 2.9.3
« Reply #3 on: September 18, 2012, 09:13:26 am »
Thank Friends,

I did read the link provided, download the wx...2.8.10, installed ..  there is only one error is:

Quote
C:\wxWidgets-2.8.10\include\wx\platform.h|196|fatal error: wx/setup.h: No such file or directory|




Quote
                 from <command-line>:0:
C:\wxWidgets-2.8.10\include/wx/platform.h:196:22: fatal error: wx/setup.h: No such file or directory
compilation terminated.
Process terminated with status 1 (0 minutes, 0 seconds)
1 errors, 0 warnings
 

CB "claim"there is no platform.h but I looked at the folder and it is there...
Regards

Offline MortenMacFly

  • Administrator
  • Lives here!
  • *****
  • Posts: 9496
Re: Error I could not avoid in wxWidget 2.8 and 2.9.3
« Reply #4 on: September 18, 2012, 09:33:46 am »
Quote
                from <command-line>:0:
fatal error: wx/setup.h: No such file or directory
CB "claim"there is no platform.h but I looked at the folder and it is there...
Oh dear... that's wrong - as you see above.

This file is missing because you forgot to compile wxWidgets yourself. Please read the instructions how to build C::B yourself more carefully - especially the pre-requisite, or simply use a nightly, if you don't know how to compile wxWidgets/Code::Blocks.
Compiler logging: Settings->Compiler & Debugger->tab "Other"->Compiler logging="Full command line"
C::B Manual: http://www.codeblocks.org/docs/main_codeblocks_en.html
C::B FAQ: http://wiki.codeblocks.org/index.php?title=FAQ

TomazVDSN

  • Guest
Re: Error I could not avoid in wxWidget 2.8 and 2.9.3
« Reply #5 on: September 18, 2012, 09:44:08 am »
Jens,
MortenMacFly,

Thank you...!
I will read again the instruction and start from beginning. ;)
This is so difficult, it is not easy for me come from MS-Excel and try to set up CODE::BLOCKS with wxWidgets. :'(

Note: Anyway CB installation is very fast, much more than MSVC++ and more than Netbeans. ;), I just like it !

Regards,